<?php
include("clase_cargue.php");
$data = json_decode(file_get_contents("php://input"), true);
if(isset($data["tipomovimi"])){
   
    $movimiento=$data["tipomovimi"];
    $provedor=$data["provedor"];
    $total=$data["total"];
    $fecha=$data["fechac"];
    $factura = ($data["numfactcom"]);

    $exento=$data["excento"];
    $excluido=$data["excluido"];
    $iva19=$data["iva19"];
    $iva5=$data["iva5"];
    $base19=$data["base19"];
    $base5=$data["base5"];
    $produtfact=$data["productos"];
    $tipoCompra=$data["tipocompra"];
    $tipodetalle=$data["tipodetalle"];
    $bodega=$data["bodega"];
    $fila =json_decode($produtfact,true);
    $usuarioA=$data["usuarioA"];

            if($factura=="" || $provedor==""){
                $dat=["res"=>"no","mensa"=>"No ha puesto ningun numero de factura o provedor"];
                echo(json_encode($dat));

            }else{
                
            if($movimiento=="obs"){
                    
                
                $GLOBALS["respuest"]=0; 
                $consul=new carguefactura();                     
                $v=$consul->buscliente($provedor);

                $numentra=$consul->consusnumeroobs($bodega);

                if( $numentra > $factura ){
                    $dat=["res"=>"no","mensa"=>"Numero de entrada obs ya existe. EL MOVIMIENTO YA FUE GRABADO"];
                    
                    echo(json_encode($dat));
                   

                }else{
                    
                    if( $v==false){
                        $dat=["res"=>"no","mensa"=>"el provedor no esta registrado"];
                        echo(json_encode($dat));


                    } else{

                        $fa=$consul->consultarfactor($fila,$bodega);
                        if($GLOBALS["factor"]==1){ 
                            $dat=["res"=>"no","mensa"=>'El producto no se puede cargar en fraccion'. $GLOBALS["prod"]];
                                 echo(json_encode($dat));

                                }else{
                                   
                                           $entra=$consul->entradaobs($fila,$bodega);  
                                            
                                            if($entra){
                                               
                                                $kardessalida=$consul->kardex($fila,$movimiento,$fecha,$factura,$provedor,$tipodetalle,$bodega,$usuarioA);
                                                $z=$consul->actulizarnumeobs($factura,$bodega);
                                                
                                             /*
                                                $conex=new conexion();
                                                $conen=$conex->conectar();
                                                $consul1="DELETE FROM `temporal` WHERE numfactur=$factura and movimineto='$movimiento'";
                                                $resul=$conen->query($consul1);
                                            */

                                                $dat=["res"=>"ok","mensa"=>"proceso realizado con exito"];
                                                echo(json_encode($dat));
                                            
                                        }else{
                                            $dat=["res"=>"no","mensa"=>"error al ejecutar entrada obs"];
                                            echo(json_encode($dat));
                                        }
                                        

                                    }
                       
                                 }

                                       

                }

               

                   }
                     

                   
                 
                } //entrada



                 }


                           



                    

            
            
        

       